com.taosdata.jdbc.ws.tmq.entity

## Class CommitOffsetResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.tmq.entity.CommitOffsetResp

    public class CommitOffsetResp
    extends Response

### Constructor Summary

Constructors
Constructor and Description
`CommitOffsetResp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCode()`
`String` `getMessage()`
`long` `getOffset()`
`long` `getTiming()`
`String` `getTopic()`
`int` `getVgId()`
`void` `setCode(int code)`
`void` `setMessage(String message)`
`void` `setOffset(long offset)`
`void` `setTiming(long timing)`
`void` `setTopic(String topic)`
`void` `setVgId(int vgId)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommitOffsetResp

    public CommitOffsetResp()

### Method Detail

#### getCode

    public int getCode()

#### setCode

    public void setCode(int code)

#### getMessage

    public String getMessage()

#### setMessage

    public void setMessage(String message)

#### getTiming

    public long getTiming()

#### setTiming

    public void setTiming(long timing)

#### getTopic

    public String getTopic()

#### setTopic

    public void setTopic(String topic)

#### getVgId

    public int getVgId()

#### setVgId

    public void setVgId(int vgId)

#### getOffset

    public long getOffset()

#### setOffset

    public void setOffset(long offset)